/* :root {
    --primaryFontColour: #E7EfE6;
    --secondaryFontColour: #282828;
    --accentColour: #FFB000;
} */



/* ABOUT ME SECTION DESKTOP VERSION */
/* .aboutMeSectionClass {
    min-height: 100vh;
    min-height: 100dvh;
    padding: 5rem 9% 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8rem;
}

.introductionClass h1 {
    font-size: 6rem;
    font-weight: 700;
    line-height: 1.6;
}

.introductionClass p {
    font-size: 4rem;
    margin-bottom: 1rem;
    font-weight: 700;
}

.profileImageClass {
    border-radius: 50%;
}

.profileImageClass img {
    position: static;
    width: 32vw;
    border-radius: 50%;
    box-shadow: 0 0 25px solid var(--accentColour);
    cursor: pointer;
    transition: 0.2s linear;
}

.profileImageClass img:hover {
    font-size: 1.8rem;
    font-weight: 500;
}

@media screen and (max-width: 700px) {
    .aboutMeSectionClass {
        gap: 4rem;
        flex-direction: column;
        margin: 5rem 4rem;
    }

    .aboutMeSectionClass .introductionClass h3 {
        font-size: 2.5rem;
    }

    .introductionClass h1 {
        font-size: 5rem;
    }

    .profileImageClass img {
        margin-top: 4rem;
    }
} */

.aboutMeSectionClass {
    min-height: 100vh;
    min-height: 100dvh;
    padding: 5rem 9% 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8rem;
    line-height: 1.6;
}

.profileImageClass {
    border-radius: 50%;
}

.profileImageClass img {
    position: static;
    width: 25vw;
    max-width: 300px;
    min-width: 150px;
    border-radius: 50%;
    box-shadow: 0 0 25px solid var(--accentColour);
    /* cursor: pointer; */
    transition: 0.2s linear;
}

/* ABOUT ME MOBILE PHONE VERSION */
@media screen and (max-width: 700px) {
    .aboutMeSectionClass {
        gap: 4rem;
        flex-direction: column;
        /* margin: 5rem 4rem; */
        line-height: 1.6;
    }

    /* .aboutMeSectionClass .introductionClass p {
        font-size: 2.5rem;
    }

    .introductionClass h1 {
        font-size: 5rem;
    } */

    .profileImageClass img {
        margin-top: 4rem;
    }
}


/* MY PHOTOS SECTION DESKTOP VERSION */
.myPhotosSectionClass {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    min-width: 100%;
    min-height: 100vh;
    min-height: 100dvh;
    padding-inline: 1rem;
    border-top: 1px solid var(--accentColour);
}

.myPhotosSectionClass h2 {
    padding-top: 7%;
    padding-bottom: 3%;
}

.myPhotosGridClass {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 4rem;
    width: 100%;
    max-width: 1280px;
    margin: 0 auto;
    margin-bottom: 6rem;
}

.photoItemClass {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.photoTitleClass {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    color: var(--accentColour);
    text-decoration: none;
    font-weight: 600;
    transition: color 0.3s ease;
}

.photoTitleClass:hover {
    color: var(--primaryFontColour);
    text-decoration: underline;
}

.myPhotoClass {
    width: 100%;
    height: auto;
    object-fit: contain;
    border-radius: 20px;
    max-height: 600px;
}

/* MY PHOTOS SECTION MOBILE PHONE VERSION */
@media screen and (max-width: 700px) {
    .myPhotosGridClass {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        grid-gap: 1.5rem;
    }

    .myPhotoClass {
        height: auto;
        width: 100%;
        object-fit: cover;
    }
}


/* FOOTER */
footer {
    font-weight: 300;
    display: flex;
    justify-content: space-evenly;
    padding: 1rem;
    border-top: 1px solid var(--accentColour);
}